<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.device.mapper.TemperatureDeviceMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="temperatureDeviceResultMap" type="org.springblade.device.entity.TemperatureDevice">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="device_id" property="deviceId"/>
        <result column="name" property="name"/>
        <result column="product_id" property="productId"/>
        <result column="install_address" property="installAddress"/>
        <result column="agency_id" property="agencyId"/>
        <result column="residential_id" property="residentialId"/>
        <result column="building_id" property="buildingId"/>
        <result column="ip" property="ip"/>
        <result column="org_position" property="orgPosition"/>
    </resultMap>


    <select id="selectTemperatureDevicePage" resultMap="temperatureDeviceResultMap">
        select * from smart_temperature_device where is_deleted = 0
    </select>

</mapper>
